Bug 1349436 - AODH on undercloud configured with 'admin' tenant
Summary: AODH on undercloud configured with 'admin' tenant
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ga
: 9.0 (Mitaka)
Assignee: Pradeep Kilambi
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-23 12:54 UTC by Yurii Prokulevych
Modified: 2016-08-11 11:33 UTC (History)
9 users (show)

Fixed In Version: instack-undercloud-4.0.0-7.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-11 11:33:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1599 normal SHIPPED_LIVE Red Hat OpenStack Platform 9 director Release Candidate Advisory 2016-08-11 15:25:37 UTC

Description Yurii Prokulevych 2016-06-23 12:54:35 UTC
Description of problem:
-----------------------
Aodh is configued with wrong tenant causing failures in aodh/evaluator:
2016-06-23 08:47:32.245 28581 DEBUG aodh.evaluator [-] evaluating alarm 4ef4b755-2ea7-4b4e-a44f-26a02041e34d _evaluate_alarm /usr/lib/python2.7/site-packages/aodh/evaluator/__init__.py:220
2016-06-23 08:47:32.245 28581 DEBUG aodh.evaluator.threshold [-] query stats from 2016-06-23 12:45:32.245380 to 2016-06-23 12:47:32.245380 _bound_duration /usr/lib/python2.7/site-packages/aodh/evaluator/threshol
d.py:79
2016-06-23 08:47:32.245 28581 DEBUG aodh.evaluator.threshold [-] stats query [{u'field': u'resource_id', u'type': u'string', u'value': u'2a4d689b-f0b8-49c1-9eef-87cae58d80db', u'op': u'eq'}, {u'field': u'project
_id', u'value': u'e01ac91d-8eab-4f44-b6da-e7c812230175', u'op': u'eq'}, {'field': 'timestamp', 'value': '2016-06-23T12:47:32.245380', 'op': 'le'}, {'field': 'timestamp', 'value': '2016-06-23T12:45:32.245380', 'o
p': 'ge'}] _statistics /usr/lib/python2.7/site-packages/aodh/evaluator/threshold.py:114
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold [-] alarm stats retrieval failed
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold Traceback (most recent call last):
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/aodh/evaluator/threshold.py", line 116, in _statistics
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     return self.cm_client.statistics.list(
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/aodh/evaluator/threshold.py", line 61, in cm_client
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     interface=auth_config.interface,
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/ceilometerclient/client.py", line 366, in get_client
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     return Client(version, endpoint, **kwargs)
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/ceilometerclient/client.py", line 313, in Client
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     return client_class(*args, **client_kwargs)
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/ceilometerclient/v2/client.py", line 67, in __init__
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     self.alarm_client = self._get_alarm_client(**kwargs)
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/ceilometerclient/v2/client.py", line 122, in _get_alarm_client
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     c.get("/")
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/keystoneclient/adapter.py", line 176, in get
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     return self.request(url, 'GET', **kwargs)
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/ceilometerclient/client.py", line 468, in request
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     **kwargs)
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/keystoneclient/adapter.py", line 212, in request
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     resp = super(LegacyJsonAdapter, self).request(*args, **kwargs)
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/keystoneclient/adapter.py", line 101, in request
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     return self.session.request(url, method, **kwargs)
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/positional/__init__.py", line 94, in inner
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     return func(*args, **kwargs)
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/keystoneauth1/session.py", line 370, in request
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     auth_headers = self.get_auth_headers(auth)
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/keystoneauth1/session.py", line 624, in get_auth_headers
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     return auth.get_headers(self, **kwargs)
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/keystoneauth1/plugin.py", line 84, in get_headers
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     token = self.get_token(session)
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/keystoneauth1/identity/base.py", line 90, in get_token
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     return self.get_access(session).auth_token
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/keystoneauth1/identity/base.py", line 136, in get_access
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     self.auth_ref = self.get_auth_ref(session)
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/keystoneauth1/identity/v2.py", line 65, in get_auth_ref
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     authenticated=False, log=False)
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/keystoneauth1/session.py", line 572, in post
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     return self.request(url, 'POST', **kwargs)
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/positional/__init__.py", line 94, in inner
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     return func(*args, **kwargs)
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold   File "/usr/lib/python2.7/site-packages/keystoneauth1/session.py", line 467, in request
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold     raise exceptions.from_response(resp, method, url)
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold Unauthorized: The request you have made requires authentication. (HTTP 401) (Request-ID: req-94c9e85f-6dcc-44ea-abf7-62b7d2d8194e)
2016-06-23 08:47:32.359 28581 ERROR aodh.evaluator.threshold 


Version-Release number of selected component (if applicable):
python-aodhclient-0.5.0-1.el7ost.noarch
openstack-aodh-common-2.0.1-3.el7ost.noarch
openstack-aodh-listener-2.0.1-3.el7ost.noarch
openstack-aodh-notifier-2.0.1-3.el7ost.noarch
python-aodh-2.0.1-3.el7ost.noarch
openstack-aodh-api-2.0.1-3.el7ost.noarch
openstack-aodh-evaluator-2.0.1-3.el7ost.noarch

openstack-tripleo-heat-templates-2.0.0-11.el7ost.noarch
openstack-tripleo-heat-templates-kilo-2.0.0-11.el7ost.noarch
openstack-tripleo-heat-templates-liberty-2.0.0-11.el7ost.noarch

Comment 6 Yurii Prokulevych 2016-07-22 13:09:13 UTC
Verified with instack-undercloud-4.0.0-8.el7ost.noarch

grep tenant /etc/aodh/aodh.conf | grep -v ^#
    admin_tenant_name=service
    os_tenant_name=service

Comment 8 errata-xmlrpc 2016-08-11 11:33:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-1599.html


Note You need to log in before you can comment on or make changes to this bug.